%global pypi_name CommonMark

Name:           python-commonmark
Version:        0.9.0
Release:        %mkrel 5
Summary:        Python parser for the CommonMark Markdown spec
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/ac/9d/a9ff7efaf06fb2b6fcc7a035760ba0971250832e37f0c554c335d86c160b/commonmark-0.9.0.tar.gz
BuildArch:      noarch

%description
Pure Python port of jgm’s stmd.js, a Markdown parser and renderer for the
CommonMark specification, using only native modules.

%package -n     python3-commonmark
Summary:        Python parser for the CommonMark Markdown spec
BuildRequires:  python3-devel
BuildRequires:  python3-future
BuildRequires:  python3-hypothesis
BuildRequires:  python3-setuptools
Requires:       python3-future
Obsoletes:      python3-%{pypi_name} < 0.9.0-2
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-commonmark}
Provides:	python3-CommonMark

%description -n python3-commonmark
Pure Python port of jgm’s stmd.js, a Markdown parser and renderer for the
CommonMark specification, using only native modules.

%prep
%setup -qn commonmark-%{version}

# Fix non executable scripts
sed -i '1{\@^#!/usr/bin/env python@d}' commonmark/tests/run_spec_tests.py
sed -i '1{\@^#!/usr/bin/env python@d}' commonmark/cmark.py

%build
%py3_build

%install
%py3_install

%check
export PYTHONIOENCODING=UTF-8
PYTHONPATH=$(pwd) %{__python3} setup.py test

%files -n python3-commonmark
%license LICENSE
%doc README.rst spec.txt
%{_bindir}/cmark
%{python3_sitelib}/commonmark-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/commonmark/


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.9.0-5.mga8
+ Revision: 1533407
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 tv <tv> 0.9.0-4.mga8
+ Revision: 1444228
- provides python3-CommonMark

* Sat Sep 21 2019 tv <tv> 0.9.0-3.mga8
+ Revision: 1444208
+ rebuild (emptylog)

* Fri Sep 20 2019 wally <wally> 0.9.0-2.mga8
+ Revision: 1444064
- make rpm name all lower case
- update description
- move docs to main pkg

* Mon Sep 16 2019 tv <tv> 0.9.0-1.mga8
+ Revision: 1442076
- BR python3-setuptools
- new release

* Fri Apr 12 2019 tv <tv> 0.8.1-1.mga7
+ Revision: 1389270
- imported package python-CommonMark

